<div class="container">
  <nav class="navbar navbar-expand-lg navbar-light bg-light">
    <a class="navbar-brand" href="#">Navbar</a>
    <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarNav" aria-controls="navbarNav" aria-expanded="false" aria-label="Toggle navigation">
      <span class="navbar-toggler-icon"></span>
    </button>
    <div class="collapse navbar-collapse" id="navbarNav">
      <ul class="navbar-nav mr-auto">
        <li class="nav-item">
          <a class="nav-link" routerLink="chats">Chats</a>
        </li>
        <li class="nav-item">
          <a class="nav-link" routerLink="users">Users</a>
        </li>
      </ul>
      <ul class="navbar-nav ml-auto">
        <li class="nav-item" *ngIf="!isLoggedIn()">
          <a class="nav-link" routerLink="login">Login</a>
        </li>
        <li class="nav-item" *ngIf="!isLoggedIn()">
          <a class="nav-link" routerLink="register">Register</a>
        </li>
        <li class="nav-item" *ngIf="isLoggedIn()">
          <a class="nav-link" (click)="logout()">Logout</a>
        </li>
      </ul>
    </div>
  </nav>
  <router-outlet></router-outlet>
</div>
